Repository is archived
No commit activity in last 3 years
No release in over 3 years
Jekyll plugin that adds {ruby|ルビ} syntax support
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
2023
 Dependencies

Development

~> 1.16
~> 10.0
~> 3.0

Runtime

~> 3.8
 Project Readme

Jekyll::RubyConverter

This is the Jekyll plugin that adds {ruby|ルビ} syntax support.

Installation

Add this line to your Jekyll project's Gemfile:

gem 'jekyll-ruby_converter'

Also add the following to your _config.yml:

plugins:
  - jekyll/ruby_converter

Usage

Write ruby with following syntax in Markdown files, then they will be converted to HTML <ruby> tags:

  • {漢字|かんじ} => <ruby>漢字<rt>かんじ</rt></ruby>
  • {漢字|かん|じ} => <ruby>漢<rt>かん</rt>字<rt>じ</rt></ruby>

Development

After checking out the repo, run bin/setup to install dependencies. Then, run rake spec to run the tests. You can also run bin/console for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run bundle exec rake install. To release a new version, update the version number in version.rb, and then run bundle exec rake release, which will create a git tag for the version, push git commits and tags, and push the .gem file to rubygems.org.

Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/fuji-nakahara/jekyll-ruby_converter. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the Contributor Covenant code of conduct.

License

The gem is available as open source under the terms of the MIT License.

Code of Conduct

Everyone interacting in the Jekyll::RubyConverter project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the code of conduct.